# Record Alerts Record Alerts ## Gets all of the record alerts in the system. - [GET /recordAlerts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/listrecordalerts.md): This method will scan all record alerts and and return them to the caller. ## Creates a new record alert record that does not already exist. - [POST /recordAlerts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/createrecordalert.md): This method will auto-generate an ID and create a new record alert. If an ID is specified for the record alert, an error will be thrown. ## Execute Batch Operations - [POST /recordAlerts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a record alert from the system by its ID. - [DELETE /recordAlerts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/deleterecordalert.md): This method will delete a record alert with the specified ID. ## Returns a record alert from the system by its ID. - [GET /recordAlerts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/getrecordalert.md): This method will look up a record alert by the specified ID and return it back. ## Partially updates a record alert with the specified ID. - [PATCH /recordAlerts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/patchrecordalert.md): This method will patch an existing record alert with the specified ID, using the HTTP PATCH specification. ## Updates a record alert with the specified ID. - [PUT /recordAlerts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/record-alerts/updaterecordalert.md): This method will update an existing record alert with the specified ID.